Bug 961838 - FTBFS: segmentation fault in lib/vector/diglib/test.c
FTBFS: segmentation fault in lib/vector/diglib/test.c
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: grass (Show other bugs)
19
ppc64 Linux
medium Severity high
: ---
: ---
Assigned To: Devrim GÜNDÜZ
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 10:13 EDT by Karsten Hopp
Modified: 2013-11-10 21:32 EST (History)
5 users (show)

See Also:
Fixed In Version: grass-6.4.3-5.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 03:07:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2013-05-10 10:13:04 EDT
Description of problem:
==============TEST=============
gcc -L/builddir/build/BUILD/grass-6.4.2/dist.powerpc64-redhat-linux-gnu/lib -Wl,-z,relro  -Wl,--export-dynamic -Wl,-rpath-link,/builddir/build/BUILD/grass-6.4.2/dist.powerpc64-redhat-linux-gnu/lib     -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -grecord-gcc-switches  -m64   -I/usr/include/gdal -I/usr/include -I/builddir/build/BUILD/grass-6.4.2/dist.powerpc64-redhat-linux-gnu/include  -o OBJ.powerpc64-redhat-linux-gnu/test test.c -lgrass_dig2 -lgrass_gis -lgrass_datetime -lz     -lgrass_rtree  -lgrass_rtree \
                        -lgrass_gis -lgrass_datetime -lz     -lgrass_datetime -lm  -lz  
cd OBJ.powerpc64-redhat-linux-gnu; LD_LIBRARY_PATH=":/builddir/build/BUILD/grass-6.4.2/dist.powerpc64-redhat-linux-gnu/lib:/builddir/build/BUILD/grass-6.4.2/dist.powerpc64-redhat-linux-gnu/lib" ./test; diff ./test.tmp ../test.ok
/bin/sh: line 1: 15450 Segmentation fault      (core dumped) LD_LIBRARY_PATH=":/builddir/build/BUILD/grass-6.4.2/dist.powerpc64-redhat-linux-gnu/lib:/builddir/build/BUILD/grass-6.4.2/dist.powerpc64-redhat-linux-gnu/lib" ./test
Binary files ./test.tmp and ../test.ok differ
make[1]: *** [OBJ.powerpc64-redhat-linux-gnu/test] Error 2

The problem is in lib/vector/diglib/test.c around line 98:
96                  if (lb != tl[j]) {
(gdb) 
98                      G_warning("Error in read/write portable long, byte_order = %d"
(gdb) p j
$22 = <optimized out>
(gdb) p lb
$23 = 2147483649
(gdb) p tl
$24 = {-2147483647, -123456789, 0, 123456789, 2147483647}
(gdb) p (long unsigned) lb
$25 = 2147483649
(gdb) n
Program received signal SIGSEGV, Segmentation fault.
0x00000fffffffef78 in ?? ()


Version-Release number of selected component (if applicable):
grass-6.4.2-9.fc19

How reproducible:
always

Steps to Reproduce:
1. ppc-koji build --scratch f19 grass-6.4.2-9.fc19.src.rpm
2.
3.
  
Actual results:
http://ppc.koji.fedoraproject.org/koji/buildinfo?buildID=145116

Expected results:


Additional info:
Comment 1 markusN 2013-05-26 12:27:38 EDT
There is a potentially related fix in GRASS GIS trunk SVN, see
here for details:

http://lists.osgeo.org/pipermail/grass-dev/2013-May/063970.html
Comment 2 markusN 2013-05-26 12:28:59 EDT
(In reply to markusN from comment #1)
> There is a potentially related fix in GRASS GIS trunk SVN, see
> here for details:
> 
> http://lists.osgeo.org/pipermail/grass-dev/2013-May/063970.html

Here the URL to the changeset mentioned in the posting:

https://trac.osgeo.org/grass/changeset/47992
Comment 3 markusN 2013-08-01 03:12:42 EDT
The new stable 6.4.3 version has now been published which should
address this issue:

http://grass.osgeo.org/news/28/15/Stable-GRASS-GIS-6-4-3-released/
Comment 4 Volker Fröhlich 2013-10-11 15:43:30 EDT
6.4.3 is available in F19 but we're still having issues on PPC: http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1449397
Comment 5 Volker Fröhlich 2013-10-11 15:46:30 EDT
That close was inadvertent, sorry!
Comment 6 markusN 2013-10-13 12:20:18 EDT
(In reply to Volker Fröhlich from comment #4)
> 6.4.3 is available in F19 but we're still having issues on PPC:
> http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1449397

The "build.log" file mentioned there is not an URL, please
point me to the file.
Comment 7 Volker Fröhlich 2013-10-13 12:24:54 EDT
http://ppc.koji.fedoraproject.org/kojifiles/work/tasks/9400/1449400/build.log

Thanks for looking into it!
Comment 8 markusN 2013-10-14 15:05:56 EDT
(In reply to Volker Fröhlich from comment #7)
> http://ppc.koji.fedoraproject.org/kojifiles/work/tasks/9400/1449400/build.log

The big endian portability bug has been addressed after the 6.4.3 release
here:

http://trac.osgeo.org/grass/changeset/57856/grass/branches/releasebranch_6_4/lib/vector
Comment 9 Volker Fröhlich 2013-10-15 21:02:28 EDT
Solved in 6.4.3-5 from Rawhide to F19. I suppose I don't have to kick off regular builds as this is only a PPC issue.
Comment 10 Karsten Hopp 2013-10-16 08:08:22 EDT
re: comment #9

Secondary archs are not allowed to have newer n-v-r than primary archs. That means than even for PPC-only fixes a build and an update on the primary archs must exist.
Please build 6.4.3-5 in F19 and F20 on primary and push it to bodhi. The secondary archs will then do the rebuilds automatically.

   Thanks !
Comment 11 Fedora Update System 2013-10-20 06:09:43 EDT
grass-6.4.3-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/grass-6.4.3-5.fc20
Comment 12 Fedora Update System 2013-10-20 06:09:54 EDT
grass-6.4.3-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/grass-6.4.3-5.fc19
Comment 13 Fedora Update System 2013-10-20 13:44:59 EDT
Package grass-6.4.3-5.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing grass-6.4.3-5.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19533/grass-6.4.3-5.fc20
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2013-11-10 03:07:28 EST
grass-6.4.3-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-11-10 21:32:14 EST
grass-6.4.3-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.